Skip to main content
PUT
PUT /api/phone/connection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
accountSid
string
required
apiKeySid
string
required
apiKeySecret
string
required
Required string length: 16 - 256
authToken
string
Required string length: 16 - 256

Response

Success

provider
string
required
Allowed value: "twilio"
accountSidMasked
string
required
Maximum string length: 40
apiKeySidMasked
string
required
Maximum string length: 40
hasAuthToken
boolean
required
fromNumber
string | null
required
status
enum<string>
required
Available options:
connected,
invalid
verifiedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required